export declare type PredefinedValidationType = 'url' | 'emailAddress' | 'creditCardNumber' | 'creditCardExpiration' | 'creditCardVerificationCode' | 'number' | 'integer' | 'alphaNumeric' | 'usZipCode' | 'caPostCode' | 'ukPostCode' | 'phoneNumber' | 'usSSN' | 'ipAddress' | 'ipv4Address' | 'ipv6Address' | 'hexColor';
declare type ValidationFunction = (inputString: string) => boolean;
export declare type ValidationType = PredefinedValidationType | string[] | RegExp | ValidationFunction;
export {};
